Subject: RE: CYGWIN32 and mount modes
From: [email-masked] (Rick Rankin)

25 May 1998 21:59:24 -0700
Message-ID: <[email-masked]>
References: <01BD87C8.3FC0A280@drs>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Sergey Okhapkin" <[email-masked]>, <[email-masked]>

This is somewhat related, I suppose. Is the "notitle" option supposed to
work on W95? For a while now, using Sergey's coolview, I've had

set CYGWIN32=notitle tty

in my cygnus.bat, yet I always see the name of the currently running program
in the title bar of the console window. I've also tried to put the line in
my autoexec.bat, with the same results. It seems to work fine on NT, though.

Rick

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Sergey Okhapkin
> Sent: Sunday, May 24, 1998 11:31 PM
> To: [email-masked]; 'Michael Hirmke'
> Subject: RE: CYGWIN32 and mount modes
>
>
> Michael Hirmke wrote:
> > It is not complete, but IMHO better than nothing:
> >
> > [no]strip_title - works in conjunction with 'title'.  Strips
> the path spec
> >                   from what is displayed in the console title
> bar when the
> >                   program is run.
> >
> > [no]binmode     - Use 'binmode' as the default open mode when
> the mode is
> >                   not otherwise specified in the open or by mount.
> >
> > [no]glob        - Do not perform globbing operations on the
> command line when
> >                   a cygwin process is being invoked from a
> non-cygwin shell.
> >
> > strace          - A cygwinb19.dll debugging aid.  Setting mask
> to '1' will
> >                   cause reams of information about the
> operation of cygwin
> >                   to be written to 'file' as cygwin operates.  The rest
> >                   of the bits control the display various
> cygwin subsystems.
> >                   For a complete list check out
> /usr/include/sys/strace.h.
> >                   The cache setting controls how much strace
> output will be
> >                   held in memory before being output to disk.
> >
> > Thi is, what Chris Faylor has written a few months ago, so
> there are have
> > been added a few more options:
> >
> > [no]tty
> > [no]title
> > ..???...
>
> [no]tty 		- disable(default)/enable tty support for consoles.
> [no]title		- disable/enable(default) displaying of a
> current running proces's command line
> 			on a console title.
>
> If you run my patched cygwinb19.dll, more options are available:
>
> [no]ntea		- disable(default)/enable usage of extended
> file attributes on Windows NT.
> [no]mixed		- disable(default)/enable case-sensitive
> filenames on ntfs partitions.
>
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia.
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".